<%
'######################################################################################
'# jsModusCalendar Handler							      #
'# Sends what form fields used in room and note (or event) panes are required	      #
'# to be completed.								      #
'######################################################################################

'##### RESPONSE XML STREAM MEANING
'#	<config>
'#		<calendarFrmPath>Reserved</calendarFrmPath>			-> Not used yet.
'#		<calendarFirstName>1</calendarFirstName>			-> Set to 1 to make "first name" field visible and required for user completion.
'#		<calendarLastName>1</calendarLastName>				-> Set to 1 to make "last name" field visible and required for user completion.
'#		<calendarEmail>1</calendarEmail>				-> Set to 1 to make "email" field visible and required for user completion.
'#		<calendarOrganizationName>1</calendarOrganizationName>		-> Set to 1 to make "organization name" field visible and required for user completion.
'#		<calendarEventTitle>1</calendarEventTitle>			-> Set to 1 to make "event field" field visible and required for user completion.
'#		<calendarEventRoomRecur>0</calendarEventRoomRecur>		-> Set to 1 to make recurring event date selection visible for user completion for room reservations.
'#		<calendarEventDescription>1</calendarEventDescription>		-> Set to 1 to make "event description" field visible and required for user completion.
'#	</config>

'##### SEND FORM CONFIGURATION DATA
Response.ContentType = "text/xml"
%>
<?xml version="1.0" encoding="utf-8"?>
<parameters>
	<config>
		<calendarFrmPath>Reserved</calendarFrmPath>
		<calendarFirstName>1</calendarFirstName>
		<calendarLastName>1</calendarLastName>
		<calendarEmail>1</calendarEmail>
		<calendarOrganizationName>1</calendarOrganizationName>
		<calendarEventTitle>1</calendarEventTitle>
		<calendarEventRoomRecur>0</calendarEventRoomRecur>
		<calendarEventDescription>1</calendarEventDescription>
	</config>
</parameters>
