<script runat="server">
Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)
'######################################################################################
'# jsModusCalendar Handler							      #
'# Sends what form fields used in room and note (or event) panes are required	      #
'# to be completed.								      #
'######################################################################################

'##### RESPONSE XML STREAM MEANING
'#	<config>
'#		<calendarFrmPath>Reserved</calendarFrmPath>			-> Not used yet.
'#		<calendarFirstName>1</calendarFirstName>			-> Set to 1 to make "first name" field visible and required for user completion.
'#		<calendarLastName>1</calendarLastName>				-> Set to 1 to make "last name" field visible and required for user completion.
'#		<calendarEmail>1</calendarEmail>				-> Set to 1 to make "email" field visible and required for user completion.
'#		<calendarOrganizationName>1</calendarOrganizationName>		-> Set to 1 to make "organization name" field visible and required for user completion.
'#		<calendarEventTitle>1</calendarEventTitle>			-> Set to 1 to make "event field" field visible and required for user completion.
'#		<calendarEventRoomRecur>0</calendarEventRoomRecur>		-> Set to 1 to make recurring event date selection visible for user completion for room reservations.
'#		<calendarEventDescription>1</calendarEventDescription>		-> Set to 1 to make "event description" field visible and required for user completion.
'#	</config>

'##### SEND FORM CONFIGURATION DATA
Response.ContentType = "text/xml"
Response.Write("<" & "?" & "xml version=""1.0"" encoding=""utf-8""" & "?" & ">" & vbCrLf)
Response.Write("<parameters>" & vbCrLf)
Response.Write("	<config>" & vbCrLf)
Response.Write("		<calendarFrmPath>Reserved</calendarFrmPath>" & vbCrLf)
Response.Write("		<calendarFirstName>1</calendarFirstName>" & vbCrLf)
Response.Write("		<calendarLastName>1</calendarLastName>" & vbCrLf)
Response.Write("		<calendarEmail>1</calendarEmail>" & vbCrLf)
Response.Write("		<calendarOrganizationName>1</calendarOrganizationName>" & vbCrLf)
Response.Write("		<calendarEventTitle>1</calendarEventTitle>" & vbCrLf)
Response.Write("		<calendarEventRoomRecur>0</calendarEventRoomRecur>" & vbCrLf)
Response.Write("		<calendarEventDescription>1</calendarEventDescription>" & vbCrLf)
Response.Write("	</config>" & vbCrLf)
Response.Write("</parameters>")
End Sub
</script>