<script runat="server">
Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)
'######################################################################################
'# jsModusCalendar Handler							      #
'# Sends details of each available room (for making or viewing room reservations) in  #
'# the day pane.								      #
'######################################################################################

'##### RESPONSE XML STREAM MEANING
'#	<roomDetail>
'#		<room>101</room>								-> Available room number.
'#		<capacity>6</capacity>								-> Number of seats in room.
'#		<roomName>Tiny Room</roomName>							-> Name of room.
'#		<roomType>Standard</roomType>							-> Type of room.
'#		<roomFeatures>tables; chairs; tv; computer; phone; whiteboard</roomFeatures>	-> Hardware present in room.
'#	</roomDetail>

'##### SEND ROOM DETAILS
Response.ContentType = "text/xml"
Response.Write("<" & "?" & "xml version=""1.0"" encoding=""utf-8""" & "?" & ">" & vbCrLf)
Response.Write("<parameters>" & vbCrLf)
Response.Write("	<roomDetail>" & vbCrLf)
Response.Write("		<room>101</room>" & vbCrLf)
Response.Write("		<capacity>6</capacity>" & vbCrLf)
Response.Write("		<roomName>Tiny Room</roomName>" & vbCrLf)
Response.Write("		<roomType>Standard</roomType>" & vbCrLf)
Response.Write("		<roomFeatures>tables; chairs; tv; computer; phone; whiteboard</roomFeatures>" & vbCrLf)
Response.Write("	</roomDetail>" & vbCrLf)
Response.Write("	<roomDetail>" & vbCrLf)
Response.Write("		<room>104</room>" & vbCrLf)
Response.Write("		<capacity>4</capacity>" & vbCrLf)
Response.Write("		<roomName>Chat Room</roomName>" & vbCrLf)
Response.Write("		<roomType>Standard</roomType>" & vbCrLf)
Response.Write("		<roomFeatures>chairs; tv; vcr; dvd</roomFeatures>" & vbCrLf)
Response.Write("	</roomDetail>" & vbCrLf)
Response.Write("	<roomDetail>" & vbCrLf)
Response.Write("		<room>103</room>" & vbCrLf)
Response.Write("		<capacity>34</capacity>" & vbCrLf)
Response.Write("		<roomName>Bigger Room</roomName>" & vbCrLf)
Response.Write("		<roomType>Standard</roomType>" & vbCrLf)
Response.Write("		<roomFeatures>tables; chairs</roomFeatures>" & vbCrLf)
Response.Write("	</roomDetail>" & vbCrLf)
Response.Write("	<roomDetail>" & vbCrLf)
Response.Write("		<room>106</room>" & vbCrLf)
Response.Write("		<capacity>30</capacity>" & vbCrLf)
Response.Write("		<roomName>Big Room</roomName>" & vbCrLf)
Response.Write("		<roomType>Standard</roomType>" & vbCrLf)
Response.Write("		<roomFeatures>computer; projector; pulldown screen; whiteboard; tv; dataports</roomFeatures>" & vbCrLf)
Response.Write("	</roomDetail>" & vbCrLf)
Response.Write("</parameters>")
End Sub
</script>