#!/usr/bin/perl -w
######################################################################################
# jsModusCalendar Handler							     #
# Receives a general note (or event) submission and processes it.		     #
######################################################################################

##### RESPONSE XML STREAM MEANING
#	<responseMsg>
#		<status>success</status>					-> If submission is accepted, specify "success".  If a failure has occurred, specify something other than "success".
#	</responseMsg>

##### GET FORM DATA
read(STDIN, $myaction, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $myaction); 
foreach $pair (@pairs) {
			($name, $value) = split(/=/, $pair);
			$value =~ tr/+/ /;
			$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
			$value =~ s/<([^>]|\n)*>//g;
			$FORM{$name} = $value;
                       }

##### ASSIGN FORM DATA
$month = 0; $day = 0; $year = 0; $firstname = ""; $lastname = ""; $email = ""; $organizationname = ""; $eventtitle = ""; $eventdescription = ""; $reservations = ""; $startdate = ""; $enddate = ""; $startdatemonth = 0; $startdateday = 0; $startdateyear = 0; $enddatemonth = 0; $enddateday = 0; $enddateyear = 0;
$month = $FORM{'month'};
$day = $FORM{'day'};
$year = $FORM{'year'};
$firstname = $FORM{'firstname'};
$lastname = $FORM{'lastname'};
$email = $FORM{'email'};
$organizationname = $FORM{'organizationname'};
$eventtitle = $FORM{'eventtitle'};
$eventdescription = $FORM{'eventdescription'};
$startdate = $FORM{'startdate'};
@fullDateInfo = split(/\//, $startdate);
$startdatemonth = $fullDateInfo[0];
$startdateday = $fullDateInfo[1];
$startdateyear = $fullDateInfo[2];
$enddate = $FORM{'enddate'};
@fullDateInfo = split(/\//, $enddate);
$enddatemonth = $fullDateInfo[0];
$enddateday = $fullDateInfo[1];
$enddateyear = $fullDateInfo[2];

##### FILTER FORM DATA

##### DETERMINE IF DATA IS SAVED AND SAVE IT

##### SEND RESPONSE
print "Content-type: text/xml\n\n";
print "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
print "<parameters>\n";
print "	<responseMsg>\n";
print "		<status>success</status>\n";
print "	</responseMsg>\n";
print "</parameters>";

exit;