#!/usr/bin/perl -w
######################################################################################
# jsModusCalendar Handler							     #
# Sends what time slots are available to rooms.  This allows a room to be reserved   #
# or details of a reservation shown in the day details pane.			     #
######################################################################################

##### RESPONSE XML STREAM MEANING
#	<timeSlot>
#		<availableHour>8:30AM</availableHour>				-> Starting time block.  If the number of time blocks is changed, the javascript file must change to include variables "calendarReviewPaneWidthIE" and "calendarReviewPaneWidthOther".
#	</timeSlot>

##### SEND ROOM TIME SLOTS
print "Content-type: text/xml\n\n";
print "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
print "<parameters>\n";
print "	<timeSlot>\n";
print "		<availableHour>8:30AM</availableHour>\n";
print "	</timeSlot>\n";
print "	<timeSlot>\n";
print "		<availableHour>9:30AM</availableHour>\n";
print "	</timeSlot>\n";
print "	<timeSlot>\n";
print "		<availableHour>10:30AM</availableHour>\n";
print "	</timeSlot>\n";
print "	<timeSlot>\n";
print "		<availableHour>11:30AM</availableHour>\n";
print "	</timeSlot>\n";
print "	<timeSlot>\n";
print "		<availableHour>12:30PM</availableHour>\n";
print "	</timeSlot>\n";
print "	<timeSlot>\n";
print "		<availableHour>1:30PM</availableHour>\n";
print "	</timeSlot>\n";
print "	<timeSlot>\n";
print "		<availableHour>2:30PM</availableHour>\n";
print "	</timeSlot>\n";
print "	<timeSlot>\n";
print "		<availableHour>3:30PM</availableHour>\n";
print "	</timeSlot>\n";
print "	<timeSlot>\n";
print "		<availableHour>4:30PM</availableHour>\n";
print "	</timeSlot>\n";
print "	<timeSlot>\n";
print "		<availableHour>5:30PM</availableHour>\n";
print "	</timeSlot>\n";
print "	<timeSlot>\n";
print "		<availableHour>6:30PM</availableHour>\n";
print "	</timeSlot>\n";
print "	<timeSlot>\n";
print "		<availableHour>7:30PM</availableHour>\n";
print "	</timeSlot>\n";
print "</parameters>";

exit;