<%
'######################################################################################
'# jsModusCalendar Handler							      #
'# Sends details of each available room (for making or viewing room reservations) in  #
'# the day pane.								      #
'######################################################################################

'##### RESPONSE XML STREAM MEANING
'#	<roomDetail>
'#		<room>101</room>								-> Available room number.
'#		<capacity>6</capacity>								-> Number of seats in room.
'#		<roomName>Tiny Room</roomName>							-> Name of room.
'#		<roomType>Standard</roomType>							-> Type of room.
'#		<roomFeatures>tables; chairs; tv; computer; phone; whiteboard</roomFeatures>	-> Hardware present in room.
'#	</roomDetail>

'##### SEND ROOM DETAILS
Response.ContentType = "text/xml"
%>
<?xml version="1.0" encoding="utf-8"?>
<parameters>
	<roomDetail>
		<room>101</room>
		<capacity>6</capacity>
		<roomName>Tiny Room</roomName>
		<roomType>Standard</roomType>
		<roomFeatures>tables; chairs; tv; computer; phone; whiteboard</roomFeatures>
	</roomDetail>
	<roomDetail>
		<room>104</room>
		<capacity>4</capacity>
		<roomName>Chat Room</roomName>
		<roomType>Standard</roomType>
		<roomFeatures>chairs; tv; vcr; dvd</roomFeatures>
	</roomDetail>
	<roomDetail>
		<room>103</room>
		<capacity>34</capacity>
		<roomName>Bigger Room</roomName>
		<roomType>Standard</roomType>
		<roomFeatures>tables; chairs</roomFeatures>
	</roomDetail>
	<roomDetail>
		<room>106</room>
		<capacity>30</capacity>
		<roomName>Big Room</roomName>
		<roomType>Standard</roomType>
		<roomFeatures>computer; projector; pulldown screen; whiteboard; tv; dataports</roomFeatures>
	</roomDetail>
</parameters>
