<script runat="server">
Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)
'######################################################################################
'# jsModusCalendar Handler							      #
'# Sends what general notes are relevent to the month/day/year selected.  General     #
'# notes are not tied to a specific room but are applicable for the whole day.	      #
'######################################################################################

'##### RESPONSE XML STREAM MEANING
'#	<todayEvent>
'#		<eventTitle>General Training</eventTitle>						-> Title of general note (or event).
'#		<eventDescription>Let us know what your ideas are for training.</eventDescription>	-> Description of general note (or event).
'#	</todayEvent>

'##### ASSIGN FORM DATA
dim month As Integer = 0
dim day As Integer = 0
dim year As Integer = 0
dim fullDateInfo() As String
if Len(Request.Form("date")) > 0 Then
	fullDateInfo = split(Request.Form("date"), "/")
	month = fullDateInfo(0)
	day = fullDateInfo(1)
	year = fullDateInfo(2)
End if

'##### FILTER FORM DATA

'##### MAKE DATABASE CALL TO GET DATA TO SEND

'##### SEND NOTE DATA FOR THE DATE SPECIFIED
Response.ContentType = "text/xml"
Response.Write("<" & "?" & "xml version=""1.0"" encoding=""utf-8""" & "?" & ">" & vbCrLf)
Response.Write("<parameters>" & vbCrLf)
Response.Write("	<todayEvent>" & vbCrLf)
Response.Write("		<eventTitle>General Training</eventTitle>" & vbCrLf)
Response.Write("		<eventDescription>Let us know what your ideas are for training.</eventDescription>" & vbCrLf)
Response.Write("	</todayEvent>" & vbCrLf)
Response.Write("	<todayEvent>" & vbCrLf)
Response.Write("		<eventTitle>Holiday</eventTitle>" & vbCrLf)
Response.Write("		<eventDescription>Remember the holiday is approaching.</eventDescription>" & vbCrLf)
Response.Write("	</todayEvent>" & vbCrLf)
Response.Write("</parameters>")
End Sub
</script>